転送
転送の有効状態を設定
顧客転送ルールを一時停止。
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
/
{forwarding_id}
/
active
転送の有効状態を設定
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active"
payload = { "active": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}承認
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
ボディ
application/json
転送を一時停止または再開するリクエスト。
転送をアクティブにするかどうか
レスポンス
転送がアクティブかどうか
転送ルール作成のタイムスタンプ
転送ルール UUID
転送スコープのリソース UUID
転送ルールのリソーススコープタイプ
利用可能なオプション:
account, workspace, domain 転送先メールアドレス
転送ルールの最終更新タイムスタンプ
受信者の確認が必要かどうか
受信者検証状態
利用可能なオプション:
internal, pending, verified, expired 検証有効期限のタイムスタンプ
確認メールの送信タイムスタンプ
検証完了のタイムスタンプ
このページは役に立ちましたか?
⌘I
転送の有効状態を設定
